package pinball.player.hold;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;
import pinball.player.remote.*;

import java.awt.*;


/** Player which hold the ball with the flippers before flipping. */
public class HoldRemoteStrategy extends HoldStrategy {
	/** Should it flip. */
	private boolean flip=false;

	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
	 */		
	public HoldRemoteStrategy(Buffer buffer, TextArea gameStats) {

		this.stub=new RemoteStub(buffer,gameStats,this);
		id="Hold";
		new RemoteExit((RemoteStub)stub);
	} 				 


}
