package pinball.menuevent;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;

import java.awt.event.*;
import java.awt.*;

/**
 * Event for when the ball goes out of play.
 */
public class PinballBallOut implements ActionListener {
	
	/** Ball out of play. */
	private Button ball;
	
	/** 
	 * Get the ball button.
	 *
	 * @param ball ball button. 
	 */
	public PinballBallOut(Button ball) {
		this.ball=ball; 
	}
	
    	/**
    	 * Ball button is pressed. Ball is out of play. 
    	 */
    	public void actionPerformed(ActionEvent e) {
			GameOptions.ballOutOfPlay(true);
    	}
}
