package pinball.player.nohit;

import pinball.*;
import pinball.buffer.*; 
import pinball.part.*;
import pinball.server.*;
import pinball.player.*;
import pinball.player.standard.*;
import pinball.player.remote.*;

import java.awt.*;


/** The player never flips the flippers. */
public class NoHitRemoteStrategy extends NoHitStrategy {
	/** Should it flip. */
	private boolean flip=false;

	/** 
	 * The strategy thread for the player. 
	 *
 	 * @param buffer the first buffer in the series of buffers for the system.
	 * @param gameStats the area to write the game stats to.
	 */		
	public NoHitRemoteStrategy(Buffer buffer, TextArea gameStats) {

		this.stub=new RemoteStub(buffer,gameStats,this);
		id="NoHit";
		new RemoteExit((RemoteStub)stub);
	} 				 

}
